MyGUI 3.2.2

Public Types | Public Member Functions
MyGUI::delegates::CDelegate2< TP1, TP2 > Class Template Reference

`#include <MyGUI_Delegate.h>`

Inheritance diagram for MyGUI::delegates::CDelegate2< TP1, TP2 >:
[legend]

## Public Types
typedef IDelegate2< TP1, TP2 > | IDelegate

## Public Member Functions
| CDelegate2 ()
| CDelegate2 (const CDelegate2< TP1, TP2 > &_event)
| ~ CDelegate2 ()
bool | empty () const
void | clear ()
CDelegate2< TP1, TP2 > & | operator= (IDelegate *_delegate)
CDelegate2< TP1, TP2 > & | operator= (const CDelegate2< TP1, TP2 > &_event)
void | operator() (TP1 p1, TP2 p2)

## Detailed Description

### template<typename TP1, typename TP2>
class MyGUI::delegates::CDelegate2< TP1, TP2 >

Definition at line 137 of file MyGUI_Delegate.h.

## Member Typedef Documentation

## ◆ IDelegate

template<typename TP1, typename TP2>

typedef IDelegate2<TP1, TP2> MyGUI::delegates::CDelegate2< TP1, TP2 >::IDelegate

Definition at line 140 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

## ◆ CDelegate2() [1/2]

template<typename TP1, typename TP2>

MyGUI::delegates::CDelegate2< TP1, TP2 >::CDelegate2 | ( |  | ) |
| inline

Definition at line 142 of file MyGUI_Delegate.h.

## ◆ CDelegate2() [2/2]

template<typename TP1, typename TP2>

MyGUI::delegates::CDelegate2< TP1, TP2 >::CDelegate2 | ( | const CDelegate2< TP1, TP2 > & | _event | ) |
| inline

Definition at line 143 of file MyGUI_Delegate.h.

## ◆ ~ CDelegate2()

template<typename TP1, typename TP2>

MyGUI::delegates::CDelegate2< TP1, TP2 >::~ CDelegate2 | ( |  | ) |
| inline

Definition at line 150 of file MyGUI_Delegate.h.

## Member Function Documentation

## ◆ clear()

template<typename TP1, typename TP2>

void MyGUI::delegates::CDelegate2< TP1, TP2 >::clear | ( |  | ) |
| inline

Definition at line 160 of file MyGUI_Delegate.h.

## ◆ empty()

template<typename TP1, typename TP2>

bool MyGUI::delegates::CDelegate2< TP1, TP2 >::empty | ( |  | ) | const
| inline

Definition at line 155 of file MyGUI_Delegate.h.

## ◆ operator()()

template<typename TP1, typename TP2>

void MyGUI::delegates::CDelegate2< TP1, TP2 >::operator() | ( | TP1 | p1,
|  | TP2 | p2
| ) |  |
| inline

Definition at line 190 of file MyGUI_Delegate.h.

## ◆ operator=() [1/2]

template<typename TP1, typename TP2>

CDelegate2<TP1, TP2>& MyGUI::delegates::CDelegate2< TP1, TP2 >::operator= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 166 of file MyGUI_Delegate.h.

## ◆ operator=() [2/2]

template<typename TP1, typename TP2>

CDelegate2<TP1, TP2>& MyGUI::delegates::CDelegate2< TP1, TP2 >::operator= | ( | const CDelegate2< TP1, TP2 > & | _event | ) |
| inline

Definition at line 173 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h